## view.xhtml
Class ButtonInput

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.EmptyElement
                  view.xhtml.Input
                      view.xhtml.ButtonInput

    public class ButtonInput

extends Input

Nested Class Summary

Nested classes/interfaces inherited from class view.xhtml.Input
`Input.InputType`

Constructor Summary
`ButtonInput(java.lang.String caption)` Constructs the element.
`ButtonInput(java.lang.String caption, java.lang.String onclick)` As above but with 'onclick' parameter.

Method Summary

Methods inherited from class view.xhtml.EmptyElement
`getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ButtonInput

    public ButtonInput(java.lang.String caption)

  Constructs the element.

  Parameters:
    `caption` - caption text for the button.

### ButtonInput

    public ButtonInput(java.lang.String caption,
                       java.lang.String onclick)

  As above but with 'onclick' parameter.

  Parameters:
    `onclick` - a value for the 'onclick' attribute.